﻿/* Hide default Swagger UI title/logo */
.swagger-ui .topbar a {
    display: none;
}

/* Custom topbar styling */
.swagger-ui .topbar {
    background-color: #ffffff;
    padding: 5px 20px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
    position: sticky;
    top: 0;
    z-index: 1000;
    overflow: hidden;
}
    /* Insert custom logo before Swagger title (using :before on wrapper) */
    .swagger-ui .topbar .topbar-wrapper:before {
        content: "";
        display: inline-block;
        background: url('/swagger-ui/images/logo.png') no-repeat left center;
        background-size: contain;
        width: 200px;
        height: 50px;
        vertical-align: middle;
        margin:10px;
    }

    /* Ensure dropdown labels are visible in dark/light themes */
    .swagger-ui .topbar .download-url-wrapper .select-label {
        color: #000 !important;
    }
